package com.iamberry.wechat.core.entity.page;

import java.io.Serializable;
import java.util.List;

/**
 * 分页返回的数据
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @tel 18271840547
 * @date 2017/5/12
 */
public class PagedResult<T> implements Serializable {


	private static final long serialVersionUID = 8272802698002051352L;

	private List<T> dataList;		// 数据
	
	private long pageNO;			// 当前页
	
	private long pageSize;			// 每页数据
	
	private long total;				// 总条数
	
	private long pages;				// 总页面数目

	public List<T> getDataList() {
		return dataList;
	}

	public void setDataList(List<T> dataList) {
		this.dataList = dataList;
	}

	public long getPageNO() {
		return pageNO;
	}

	public void setPageNO(long pageNO) {
		this.pageNO = pageNO;
	}

	public long getPageSize() {
		return pageSize;
	}

	public void setPageSize(long pageSize) {
		this.pageSize = pageSize;
	}

	public long getTotal() {
		return total;
	}

	public void setTotal(long total) {
		this.total = total;
	}

	public long getPages() {
		return pages;
	}

	public void setPages(long pages) {
		this.pages = pages;
	}
	
}
